This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 496933 - Errata search does not display custom errata in the search result
Errata search does not display custom errata in the search result
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Jesus M. Rodriguez
Preethi Thomas
:
Depends On:
Blocks: 457073
  Show dependency treegraph
 
Reported: 2009-04-21 13:37 EDT by Preethi Thomas
Modified: 2009-09-10 15:32 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:32:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2009-04-21 13:37:09 EDT
Description of problem:

Errata search does not display custom errata in the search result.

Version-Release number of selected component (if applicable):

Satellite-5.3.0-RHEL5-re20090420.0-i386-embedded-oracle.iso

How reproducible:



Steps to Reproduce:
1. create a custom errata and publish it to a channel.
2. navigate to Errata->Advanced Search
3. Enter the custom errata name in the what to search box.
4. Hit search
  
Actual results:

Custom Errata is not displayed with the errata search result
Expected results:

Custom Errata should be displayed with the errata search result

Additional info:
Comment 1 Jesus M. Rodriguez 2009-05-05 11:01:33 EDT
Proposed fix is to indicate on the search pages the last time the index jobs
ran and let the user know that content may not appear immediately.
Comment 2 Jesus M. Rodriguez 2009-05-05 11:14:18 EDT
There is a delay with indexing content which is why the search failed to find anything in the original comment. I was able to reproduce the scenario, but it is expected:

errata created: 2009/05/05 10:36:44
errata indexed for search: [2009-05-05 10:38:22,130] INFO  - found [1] errata to index
Comment 4 Jesus M. Rodriguez 2009-05-07 17:03:26 EDT
Seems there is an api to reindex an index built into search-server.
Changing publish errata page to call that. It's actually less work and what
most folks would want anyhow.
Comment 5 Jesus M. Rodriguez 2009-06-01 17:09:59 EDT
fixed in master: c5b7ce6dfc5fe0a29b67dc029040fd6a0b2b9bef
ErrataManager now notifies the search server to update the errata index
as soon as it can. This still means there is a 'little' delay maybe
1 - 2 minutes max depending on server load.
Comment 6 Jesus M. Rodriguez 2009-06-01 17:10:47 EDT
TEST PLAN
----------
follow plan from original comment with a slight wait period
between steps 3 and 4
Comment 7 Preethi Thomas 2009-06-09 14:23:16 EDT
verified
Satellite-5.3.0-RHEL5-re20090605.1-i386-embedded-oracle.iso
Comment 8 John Sefler 2009-09-03 14:56:36 EDT
Verified on staged (Satellite-5.3.0-RHEL5-re20090724.0) with updates from Aug 20, 2009
Comment 9 Brandon Perkins 2009-09-10 15:32:35 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.